opj_worker_thread_t Struct Reference

## Data Fields

opj_thread_pool_t * | tp
opj_thread_t * | thread
int | marked_as_waiting
opj_mutex_t * | mutex
opj_cond_t * | cond

## Field Documentation

## cond

opj_cond_t* opj_worker_thread_t::cond

Referenced by opj_thread_pool_destroy(), opj_thread_pool_get_next_job(), opj_thread_pool_setup(), and opj_thread_pool_submit_job().

## marked_as_waiting

int opj_worker_thread_t::marked_as_waiting

Referenced by opj_thread_pool_get_next_job(), opj_thread_pool_setup(), and opj_thread_pool_submit_job().

## mutex

opj_mutex_t* opj_worker_thread_t::mutex

Referenced by opj_thread_pool_destroy(), opj_thread_pool_get_next_job(), opj_thread_pool_setup(), and opj_thread_pool_submit_job().

## thread

opj_thread_t* opj_worker_thread_t::thread

Referenced by opj_thread_pool_destroy(), and opj_thread_pool_setup().

## tp

opj_thread_pool_t* opj_worker_thread_t::tp

Referenced by opj_thread_pool_setup(), and opj_worker_thread_function().

The documentation for this struct was generated from the following file:

- thread.c